For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
      • POSTCreate/Update object records in bulk
      • GETGet the list of object records and total records count for an object.
      • POSTDelete multiple object records (up to 1000) asynchronously
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Object ManagementCustom Objects

Delete multiple object records (up to 1000) asynchronously

POST
https://api.brevo.com/v3/objects/:object_type/batch/delete
POST
/v3/objects/:object_type/batch/delete
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.customObjects.batchDeleteObjectRecords("vehicle", {});
8}
9main();
1{
2 "processId": 21,
3 "message": "Batch object records are being processed for deletion"
4}
Use this endpoint to delete multiple object records of the same object-type in one request. The request is accepted and processed asynchronously. You can track the status of the deletion process using the returned **processId**. **Limitations:** - Each request can contain up to **1000** object record identifiers - Either `ids` or `ext_ids` must be provided, but **not both** in the same request - Deletion of Brevo standard object records is not supported via this endpoint - If more records must be deleted, send multiple batch requests
Was this page helpful?
Previous

Get email senders

Next
Built with

Use this endpoint to delete multiple object records of the same object-type in one request. The request is accepted and processed asynchronously. You can track the status of the deletion process using the returned processId. Limitations: - Each request can contain up to 1000 object record identifiers - Either ids or ext_ids must be provided, but not both in the same request - Deletion of Brevo standard object records is not supported via this endpoint - If more records must be deleted, send multiple batch requests

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

object_typestringRequired
Object type for the records to delete

Request

List of object record identifiers to delete
identifiersanyOptional

Either ids or ext_ids must be provided, but not both in the same request.

Response

Batch request accepted for deletion - process started

processIdlong
Identifier for batch process tracking
messagestring

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error